###############################################################################
### FatBomb
###

{
    id => 'altavista',
    title => 'AltaVista',
    cache => 86400,
    query => 'http://www.altavista.com/web/results?pg=aq&avkw=aapt&aqmode=s&aqa={keywords}&aqp=&aqo=&aqn=&aqb=&aqs=&kgs=0&kls=1&dt=tmperiod&d2=0&d0=&d1=&filetype=&rc=dmn&swd=&lh=&sc=on&nbq=100',
    item_regexp => qr/
        <a\sclass='res'\shref='[^']+\/\*\*([^']+)'>((?:(?!<\/a>).)*)<\/a>
        <br><span\sclass=s>((?:(?!<br><\/span>).)*)<br><\/span>
    /xs,
    item_fields => [qw(click title description)],
    unquote_click => sub {
        $_ = shift;
        $_ =~ s/%([0-9A-Fa-f]{2})/chr(hex($1))/ge;
        if ($_ =~ /^http:\/\/rd\w+\.yahoo\.com\/click\?u=([^&]+)&/) {
            $_ = $1;
            $_ =~ s/%([0-9A-Fa-f]{2})/chr(hex($1))/ge;
        }
        $_ =~ s/&/&amp;/g;
        $_ =~ s/</&lt;/g;
        $_ =~ s/>/&gt;/g;
        $_ =~ s/"/&quot;/g;
        return $_;
    },
    unquote_title => 'strip_tags',
    unquote_description => 'strip_tags',
    enabled => 0,
    weight => 100,
};

###############################################################################
###############################################################################
